devguard

Controls

Create a new user-defined control.

POST
/controls/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

identifier*string
name*string
Length2 <= length <= 255
type?string
Default"CONTROL"
Value in"CATEGORY" | "CONTROL" | "CLAUSE" | "CHAPTER" | "AMENDMENT" | "GROUP"
purpose*|
description*|
isMandatory*boolean
parentId*|
frameworkId*string
organizationId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://app.devguard.ch/api/controls/" \  -H "Content-Type: application/json" \  -d '{    "identifier": "string",    "name": "string",    "purpose": "string",    "description": {},    "isMandatory": true,    "parentId": "string",    "frameworkId": "string",    "organizationId": "string"  }'
{
  "id": "string",
  "identifier": "string",
  "name": "string",
  "slug": "string",
  "type": "CATEGORY",
  "purpose": "string",
  "description": {},
  "isMandatory": true,
  "parentId": "string",
  "frameworkId": "string",
  "isCentralized": true,
  "createdAt": "string",
  "updatedAt": "string"
}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

How is this guide?